<?PHP
#
#   FILE:  Developer.php
#
#   FUNCTIONS PROVIDED:
#      (none)
#   FUNCTIONS EXPECTED:
#      (none)
#
#   OPTIONAL FUNCTIONS:
#       (none)
#
#   FORM FIELDS EXPECTED:
#       (none)
#
#   Copyright 2010 Internet Scout Project
#   http://scout.wisc.edu/
#

# ----- EXPORTED FUNCTIONS ---------------------------------------------------

# ----- LOCAL FUNCTIONS ------------------------------------------------------

# ----- MAIN -----------------------------------------------------------------

# non-standard globals
global $G_Info;
global $G_NextResourcesToBeChecked;
global $G_NextUrlsToBeChecked;

# setup
PageTitle("URL Checker Developer Page");
CheckAuthorization(PRIV_SYSADMIN, PRIV_COLLECTIONADMIN);

$G_Info = $AF->SignalEvent("URLCHECKER_GET_INFORMATION");
$G_NextResourcesToBeChecked = $AF->SignalEvent("URLCHECKER_GET_NEXT_RESOURCES_TO_BE_CHECKED");
$G_NextUrlsToBeChecked = $AF->SignalEvent("URLCHECKER_GET_NEXT_URLS_TO_BE_CHECKED");
